+ Reply to Thread
Results 1 to 10 of 10
  1. #1
    Forum Newbie
    Discipline
    Multi-disciplinary
    Using
    AutoCAD 2016
    Join Date
    Nov 2017
    Posts
    6

    Default another scaling question

    Registered forum members do not see this ad.

    hello all,

    i am sorry if this has already been answered, and if it has i am not able to find anything on this.

    i work on projects that sometimes i have to have 1/4" and 1/8" scale on the same sheet. and i know that you can go into the modeling space and select the objects that you want to change from 1/4" to 1/8" or the other way around, go to properties and scale your "X, Y, Z" from either 48 to 96 or 96 to 48.

    i wanted to see if anyone has a fast way of doing this? i heard someone say something a while back about having a command of like sc48 or sc96 and what ever they selected would change all three of the factors (x y and z)

    anything would help out alot.

    thank you

  2. #2
    Quantum Mechanic ReMark's Avatar
    Computer Details
    ReMark's Computer Details
    Operating System:
    Windows 7 Pro 64-bit
    Computer:
    Thinkmate
    Motherboard:
    Intel DX58SO2 LGA1366 X58
    CPU:
    Intel i7-960 Quad-core 3.20GHz 8MB cache
    RAM:
    12GB (3x4GB) PC3-106000 DDR3
    Graphics:
    nVidia Quadro K4200, 4GB GDDR5
    Primary Storage:
    150GB Velocipraptor 10,000 rpm
    Secondary Storage:
    none
    Monitor:
    Dell P24LLH - 24" wide screen LCD
    Discipline
    See details...
    ReMark's Discipline Details
    Occupation
    CAD Draftsman/Designer...chemical manufacturing.
    Discipline
    See details below.
    Details
    I work for a specialty chemical manufacturer. I do a little bit of everything from P&IDs to civil to architectural and structural.
    Using
    AutoCAD 2018
    Join Date
    Nov 2005
    Location
    Norwalk, CT USofA
    Posts
    46,447

    Default

    Why aren't you using layouts with viewports (scales are assigned to individual viewports not to model space objects) instead of drawing "to scale" in model space? You're making things more complicated than they need to be.
    "I have only come here seeking knowledge. Things they wouldn't teach me of in college." The Police

    Eat brains...gain more knowledge!

    I'm now a full member of the Society for the Promotion of Mediocrity in CAD. Standards? We don't need no stinkin' standards! Take whatever advice I offer and do the opposite.

  3. #3
    Forum Newbie
    Discipline
    Multi-disciplinary
    Using
    AutoCAD 2016
    Join Date
    Nov 2017
    Posts
    6

    Default

    we use the plot space and have view ports yes. but if you have text height at 8" and set your viewport to 1/4" scale then your text is going to be massive,

    in the model space if you set one set of text height to 8" and another to 4" then go to model space and create two viewports you have one for 1/8" and one for 1/4".

    here are a few screen shots for what i am talking about. i hope that this helps explain it a little better. either that or i am not understanding what your talking about. sorry i am still new to the cad thing. well using it daily that is.
    Attached Images

  4. #4
    Quantum Mechanic ReMark's Avatar
    Computer Details
    ReMark's Computer Details
    Operating System:
    Windows 7 Pro 64-bit
    Computer:
    Thinkmate
    Motherboard:
    Intel DX58SO2 LGA1366 X58
    CPU:
    Intel i7-960 Quad-core 3.20GHz 8MB cache
    RAM:
    12GB (3x4GB) PC3-106000 DDR3
    Graphics:
    nVidia Quadro K4200, 4GB GDDR5
    Primary Storage:
    150GB Velocipraptor 10,000 rpm
    Secondary Storage:
    none
    Monitor:
    Dell P24LLH - 24" wide screen LCD
    Discipline
    See details...
    ReMark's Discipline Details
    Occupation
    CAD Draftsman/Designer...chemical manufacturing.
    Discipline
    See details below.
    Details
    I work for a specialty chemical manufacturer. I do a little bit of everything from P&IDs to civil to architectural and structural.
    Using
    AutoCAD 2018
    Join Date
    Nov 2005
    Location
    Norwalk, CT USofA
    Posts
    46,447

    Default

    If you insist on placing both your dimensions and text in model space then it is in your best interest to make them annotative so that all viewports, no matter their scale, display the text and dimension objects at the same size. Did you forget to assign the appropriate annotative scales to your text and dimensions?
    "I have only come here seeking knowledge. Things they wouldn't teach me of in college." The Police

    Eat brains...gain more knowledge!

    I'm now a full member of the Society for the Promotion of Mediocrity in CAD. Standards? We don't need no stinkin' standards! Take whatever advice I offer and do the opposite.

  5. #5
    Forum Newbie
    Discipline
    Multi-disciplinary
    Using
    AutoCAD 2016
    Join Date
    Nov 2017
    Posts
    6

    Default

    this is the way that the company that i work for wants to do things. and i am not trying to do something different and cause issues. i do see what you are saying but they have "drawing standards" that i have to follow for each scale. so just setting the viewports are either 1/4" or 1/8" doesnt work just right. i see what you are talking about (i tried it) but being that i work in corp america i have to do as told. just trying to find something that within the model space i can select one of the objects (seen in two new photos) type command and hit spacebar and bingo, instead of going to the prop. and changing from 96 to 48 or other way around. sorry if this came across rude, i am not trying to at all i am just frustrated that i am not explaining it the way i was thinking it.
    Attached Images

  6. #6
    Super Moderator SLW210's Avatar
    Computer Details
    SLW210's Computer Details
    Operating System:
    Windows 7 PRO 64-bit
    Computer:
    IBM Lenovo
    Motherboard:
    ACPI x64
    CPU:
    Pentium(R) i5 4570 @ 3.2GHz
    RAM:
    8 GB RAM
    Graphics:
    Nvidia Quadro 600 1GB
    Primary Storage:
    300 GB
    Secondary Storage:
    650GB
    Monitor:
    2x ThinkVision 24"
    Discipline
    Multi-disciplinary
    SLW210's Discipline Details
    Occupation
    Design Draftsman
    Discipline
    Multi-disciplinary
    Details
    Mostly do drafting related to manufacturing. From doing site layouts with proposed updates, additions and renovations to be budgeted and submitted for bid, to updating and changing existing drawings to reflect maintenance and repair/revision work done on site.
    Using
    AutoCAD 2011
    Join Date
    May 2007
    Location
    South Florida, USA
    Posts
    11,796

    Default

    If they have standards, why is this just now a problem? Did you ask others at the company how they recommend doing this?

    The solution that is already in AutoCAD, is to place annotations, etc. in paper space or use annotative blocks, mtext, text, etc. in model space.

    If those are all blocks, you might look into making them Dynamic Blocks.
    “A narrow mind and a fat head invariably come on the same person” Zig Zigler



  7. #7
    Super Member
    Using
    not applicable
    Join Date
    Jun 2016
    Posts
    558

    Default

    Maybe something like this is what the OP is thinking of:
    Code:
    (vl-load-com)
    
    (defun KGA_Conv_Pickset_To_ObjectList (ss / i ret)
      (if ss
        (repeat (setq i (sslength ss))
          (setq ret (cons (vlax-ename->vla-object (ssname ss (setq i (1- i)))) ret))
        )
      )
    )
    
    (defun c:ChangeScale ( / doc enm scl ss)
      (setq doc (vla-get-activedocument (vlax-get-acad-object)))
      (vla-endundomark doc)
      (vla-startundomark doc)
      (cond
        ((= 1 (getvar 'tilemode))
          (prompt "\nError: command cannot be used in model space ")
        )
        ((= 1 (getvar 'cvport))
          (prompt "\nError: command requires an active MS viewport ")
        )
        ((setq enm (ssname (ssget "_X" (list (cons 410 (getvar 'ctab)) (cons 69 (getvar 'cvport)))) 0))
          (setq scl (/ 12.0 (vla-get-customscale (vlax-ename->vla-object enm)))) ; Change 12.0 to suit.
          (if (setq ss (ssget '((0 . "INSERT"))))
            (foreach obj (KGA_Conv_Pickset_To_ObjectList ss)
              (vla-put-xscalefactor obj scl)
              (vla-put-yscalefactor obj scl)
              (vla-put-zscalefactor obj scl)
            )
          )
        )
      )
      (vla-endundomark doc)
      (princ)
    )
    BricsCAD 16

  8. #8
    Forum Newbie
    Discipline
    Multi-disciplinary
    Using
    AutoCAD 2016
    Join Date
    Nov 2017
    Posts
    6

    Default

    with the company having standards this isnt something that they have had to deal with. normally we put 1/8" plans on one sheet and 1/4"on another. however i have a lot of small jobs and i just like to keep things on as little sheets as possible.

    so i just want to be able to grab a few things and type a command in and have it rescale the text or the block (for tags) from 1/8" (96.0 inch) to 1/4" (48.0 inch) i know that if it is something that i have to do with one or two no sweat to go into the properties and change it that way.

    but when we have the drawing set up as 1/8" scale and you want to add a 1/4" scale to show additional detail on the same sheet, just changing the viewport wont shrink up the text and tags to be able to show this area in a little more detail.

    maybe i am over thinking this as a whole but thought that i would give this a shot. so thank you all to your thoughts and help. this site has always been a big help.

  9. #9
    Super Member
    Computer Details
    ronjonp's Computer Details
    Operating System:
    Windows 10
    Using
    AutoCAD 2018
    Join Date
    Apr 2009
    Location
    Colorado
    Posts
    529

    Default

    As stated before. Annotative objects are the ticket

  10. #10
    Forum Newbie
    Discipline
    Multi-disciplinary
    Using
    AutoCAD 2016
    Join Date
    Nov 2017
    Posts
    6

    Default

    Registered forum members do not see this ad.

    oh i understand that totally, and this is something that we use. i will have to get with my BIM squad and see if i am doing things correctly. cause now i am questioning things after two years of doing it their way. but i know that there is always something that can be done to simplify things a bit. and thought that this was one of them.

    thank you all

Similar Threads

  1. Scaling Question
    By aburtz in forum AutoCAD 2D Drafting, Object Properties & Interface
    Replies: 19
    Last Post: 13th Dec 2012, 03:22 pm
  2. Scaling question
    By Lockyear in forum AutoCAD Beginners' Area
    Replies: 1
    Last Post: 10th Nov 2011, 05:36 am
  3. Scaling Question
    By vertical horizons in forum Autodesk Inventor
    Replies: 2
    Last Post: 19th May 2010, 12:23 am
  4. Scaling Question
    By huygen in forum AutoCAD Beginners' Area
    Replies: 11
    Last Post: 1st Feb 2010, 09:43 pm
  5. Scaling question...
    By Confucius Ricardo in forum AutoCAD Beginners' Area
    Replies: 2
    Last Post: 1st Apr 2009, 01:07 am

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts